/*
 * Copyright 2003 - 2012 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 8564 $
 * Last Changed:    $Date: 2013-01-21 10:09:37 -0500 (Mon, 21 Jan 2013) $
 * Last Changed By: $Author: jan@moxter.net $
 */


package org.efaps.db.print.value;

import org.efaps.db.Instance;
import org.efaps.db.print.OneSelect;
import org.efaps.util.EFapsException;


/**
 * Value Select that returns an instance. Uses the {@link OIDValueSelect}
 * as basis.
 *
 * @author The eFaps Team
 * @version $Id: InstanceValueSelect.java 8564 2013-01-21 15:09:37Z jan@moxter.net $
 */
public class InstanceValueSelect
    extends OIDValueSelect
{

    /**
     * @param _oneSelect    OneSelect
     */
    public InstanceValueSelect(final OneSelect _oneSelect)
    {
        super(_oneSelect);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String getValueType()
    {
        return "instance";
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Object getValue(final Object _object)
        throws EFapsException
    {
        return Instance.get((String) super.getValue( _object));
    }
}
